## GLOBAL LOAD OBJECTIVES ## 

	function asphodel:global_failsafe
	function asphodel:global_clear	
	gamerule sendCommandFeedback false
	
	# Global Numbers #

		scoreboard objectives add AM.One dummy
		scoreboard objectives add AM.Two dummy

	# Player ID #

		scoreboard objectives add AM.PlayerID dummy
		scoreboard objectives add AM.TempID dummy

	# Mining ores #

		# Capsule Fragments # 

			scoreboard objectives add AM.MineCoal minecraft.mined:minecraft.coal_ore
			scoreboard objectives add AM.MineLapis minecraft.mined:minecraft.lapis_ore
			scoreboard objectives add AM.MineRedstone minecraft.mined:minecraft.redstone_ore
			scoreboard objectives add AM.MineDiamond minecraft.mined:minecraft.diamond_ore
			scoreboard objectives add AM.MineEmerald minecraft.mined:minecraft.emerald_ore

	# Activated Onyx #

			scoreboard objectives add AM.MineOnyx minecraft.mined:minecraft.spawner

	# Mob Drops # 
		# Unstable Essence - Healing # 

			scoreboard objectives add AM.Zombie minecraft.killed:minecraft.zombie
			scoreboard objectives add AM.Husk minecraft.killed:minecraft.husk
			scoreboard objectives add AM.Drowned minecraft.killed:minecraft.drowned
			scoreboard objectives add AM.ZombieV minecraft.killed:minecraft.zombie_villager

		# Unstable Essence - Speed #

			scoreboard objectives add AM.Spider minecraft.killed:minecraft.spider
			scoreboard objectives add AM.CaveSpider minecraft.killed:minecraft.cave_spider
			scoreboard objectives add AM.Slime minecraft.killed:minecraft.slime
			scoreboard objectives add AM.MSlime minecraft.killed:minecraft.magma_cube

		# Unstable Essence - Resistance # 

			scoreboard objectives add AM.Creeper minecraft.killed:minecraft.creeper
			scoreboard objectives add AM.Ghast minecraft.killed:minecraft.ghast
			scoreboard objectives add AM.Blaze minecraft.killed:minecraft.blaze
			scoreboard objectives add AM.Phantom minecraft.killed:minecraft.phantom

		# Unstable Essence - Damage #

			scoreboard objectives add AM.Skeleton minecraft.killed:minecraft.skeleton
			scoreboard objectives add AM.Stray minecraft.killed:minecraft.stray
			scoreboard objectives add AM.WSkeleton minecraft.killed:minecraft.wither_skeleton

		# Crafter Paper # 

			scoreboard objectives add AM.Witch minecraft.killed:minecraft.witch
			scoreboard objectives add AM.Evoker minecraft.killed:minecraft.evoker
			scoreboard objectives add AM.Illusioner minecraft.killed:minecraft.illusioner
			scoreboard objectives add AM.Vindicator minecraft.killed:minecraft.vindicator

	# Custom Items # 

		# Cloud in a Bottle # 

			scoreboard objectives add AM.CloudDetect minecraft.custom:minecraft.sneak_time
			scoreboard objectives add AM.CloudTrigger dummy

		# Soul Bell # 

			scoreboard objectives add AM.SoulDetect minecraft.custom:minecraft.sneak_time
			scoreboard objectives add AM.SoulTrigger dummy

		# Magic Mirror #

			scoreboard objectives add AM.MirrorDetect minecraft.custom:minecraft.sneak_time
			scoreboard objectives add AM.MirrorTimer dummy
			scoreboard objectives add AM.MirrorTrigger dummy
			scoreboard objectives add AM.MirrorX dummy
			scoreboard objectives add AM.MirrorY dummy
			scoreboard objectives add AM.MirrorZ dummy

		# Resurrection Totem # 

			scoreboard objectives add AM.TotemDetect minecraft.used:minecraft.totem_of_undying
			scoreboard objectives add AM.TotemTrigger dummy

	# Custom Crafters # 

		# Otherworldly machine #

			scoreboard objectives add AM.CrafterItem1 dummy
			scoreboard objectives add AM.CrafterItem2 dummy
			scoreboard objectives add AM.CrafterCount dummy
			scoreboard objectives add AM.Recipes dummy
			scoreboard objectives add AM.Timer dummy

		# Onyx Furnace #

			scoreboard objectives add AM.OnyxTimer dummy

	# PlayerStats # 

		# Asphodel Dimension #

			scoreboard objectives add AM.PlayerY dummy 
			scoreboard objectives add AM.SpawnTimer dummy
			scoreboard objectives add AM.PortalX dummy
			scoreboard objectives add AM.PortalY dummy
			scoreboard objectives add AM.PortalZ dummy

		# Probibility Functions (RNG) #

			function asphodel:rng/setup
			function asphodel:rng/load

		# Reset scoreboard numbers # 

			function asphodel:global_scores

	# Run Credits #

		function asphodel:credits/page1
